summaryrefslogtreecommitdiffstats
path: root/meta/recipes-devtools/pseudo
diff options
context:
space:
mode:
Diffstat (limited to 'meta/recipes-devtools/pseudo')
-rw-r--r--meta/recipes-devtools/pseudo/pseudo.inc13
1 files changed, 10 insertions, 3 deletions
diff --git a/meta/recipes-devtools/pseudo/pseudo.inc b/meta/recipes-devtools/pseudo/pseudo.inc
index a287629e52..0471cd6f21 100644
--- a/meta/recipes-devtools/pseudo/pseudo.inc
+++ b/meta/recipes-devtools/pseudo/pseudo.inc
@@ -56,9 +56,7 @@ maybe_make32() {
56 fi 56 fi
57 if $make32; then 57 if $make32; then
58 if ! [ -e "/usr/include/gnu/stubs-32.h" ]; then 58 if ! [ -e "/usr/include/gnu/stubs-32.h" ]; then
59 bbwarn "Can't find stubs-32.h, but usually need it to build 32-bit libpseudo." 59 warn_32bit_missing
60 bbwarn "If the build fails, install 32-bit developer packages."
61 bbwarn "If you are using 32-bit binaries, the 32-bit libpseudo is NOT optional."
62 else 60 else
63 bbnote "Attempting to build 32-bit libpseudo.so for ${PN}." 61 bbnote "Attempting to build 32-bit libpseudo.so for ${PN}."
64 fi 62 fi
@@ -68,6 +66,12 @@ maybe_make32() {
68 fi 66 fi
69} 67}
70 68
69warn_32bit_missing() {
70 bbwarn "Can't find stubs-32.h, but usually need it to build 32-bit libpseudo."
71 bbwarn "If the build fails, install 32-bit developer packages."
72 bbwarn "If you are using 32-bit binaries, the 32-bit libpseudo is NOT optional."
73}
74
71# Two below are the same 75# Two below are the same
72# If necessary compile for the alternative machine arch. This is only 76# If necessary compile for the alternative machine arch. This is only
73# necessary in a native build. 77# necessary in a native build.
@@ -83,7 +87,10 @@ do_compile_prepend_class-native () {
83 make ${MAKEOPTS} distclean || : 87 make ${MAKEOPTS} distclean || :
84 88
85 ./configure ${PSEUDO_EXTRA_OPTS} --prefix=${prefix} --libdir=${prefix}/lib/pseudo/lib --with-sqlite-lib=${baselib} --with-sqlite=${STAGING_DIR_TARGET}${exec_prefix} --bits=32 --without-rpath 89 ./configure ${PSEUDO_EXTRA_OPTS} --prefix=${prefix} --libdir=${prefix}/lib/pseudo/lib --with-sqlite-lib=${baselib} --with-sqlite=${STAGING_DIR_TARGET}${exec_prefix} --bits=32 --without-rpath
90 save_traps=$(trap)
91 trap 'warn_32bit_missing' 0
86 oe_runmake ${MAKEOPTS} libpseudo 92 oe_runmake ${MAKEOPTS} libpseudo
93 eval "$save_traps"
87 # prevent it from removing the lib, but remove everything else 94 # prevent it from removing the lib, but remove everything else
88 make 'LIB=foo' ${MAKEOPTS} distclean 95 make 'LIB=foo' ${MAKEOPTS} distclean
89 fi 96 fi